ClassPathIterator
Date: 2016-07-04

com.tonicsystems.jarjar.util

## Class ClassPathIterator

- java.lang.Object
- - com.tonicsystems.jarjar.util.ClassPathIterator

- All Implemented Interfaces:
    java.util.Iterator<ClassPathEntry>

      public class ClassPathIterator
      extends java.lang.Object
      implements java.util.Iterator<ClassPathEntry>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassPathIterator(java.io.File parent, java.lang.String classPath, java.lang.String delim)`
    `ClassPathIterator(java.lang.String classPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes all zip files opened by this iterator.
    `boolean` | `hasNext()`
    `ClassPathEntry` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassPathIterator

          public ClassPathIterator(java.lang.String classPath)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### ClassPathIterator

          public ClassPathIterator(java.io.File parent,
                           java.lang.String classPath,
                           java.lang.String delim)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<ClassPathEntry>`

    - #### close

          public void close()
                     throws java.io.IOException

      Closes all zip files opened by this iterator.
      Throws:
        `java.io.IOException`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<ClassPathEntry>`

    - #### next

          public ClassPathEntry next()

      Specified by:
        `next` in interface `java.util.Iterator<ClassPathEntry>`